rte_pmu_event_group(3)

NAME
rte_pmu_event_group

SYNOPSIS

#include <rte_pmu.h>

  Public Member Functions

TAILQ_ENTRY (rte_pmu_event_group) next

  Data Fields

struct perf_event_mmap_page * mmap_pages [RTE_MAX_NUM_GROUP_EVENTS]
int fds [RTE_MAX_NUM_GROUP_EVENTS]
bool enabled

Detailed Description

A structure describing a group of events.

Definition at line 53 of file rte_pmu.h.

Member Function Documentation

  TAILQ_ENTRY (rte_pmu_event_group )
list entry

Field Documentation

  struct perf_event_mmap_page* mmap_pages[RTE_MAX_NUM_GROUP_EVENTS]
array of user pages

Definition at line 55 of file rte_pmu.h.

  int fds[RTE_MAX_NUM_GROUP_EVENTS]
array of event descriptors

Definition at line 56 of file rte_pmu.h.

  bool enabled
true if group was enabled on particular lcore

Definition at line 58 of file rte_pmu.h.

Author

Generated automatically by Doxygen for DPDK from the source code.